%define gnunetuser gnunet
%define gnunethome %{_sharedstatedir}/%{name}
%global debug_package %{nil}

Name:           gnunet
Version:        0.14.0
%if %{defined suse_version}
Release:        1~%{?suse_version}
%else
Release:        1~%{?dist}
%endif
Summary:        Framework for secure peer-to-peer networking
License:        AGPL-3.0
Group:          Productivity/Networking/File-Sharling
URL:            https://%{name}.org
%undefine _disable_source_fetch
Source0:        https://ftpmirror.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
%define         SHA512SUM0 422637e8f4343a291a8dedf9d4669f5f75b7b6f614d9dde1a5bfcc1565cce25bbb5ef0f8c3cbfca1753b04176b460431545982e6805dc4bb99191c51d6455f4d
BuildRequires:  libtool
BuildRequires:  libtool-ltdl
BuildRequires:  libtool-ltdl-devel
BuildRequires:  autoconf
BuildRequires:  make
BuildRequires:  texinfo
BuildRequires:  gettext
BuildRequires:  gcc
BuildRequires:  openssl
BuildRequires:  libgcrypt-devel
BuildRequires:  libunistring-devel
BuildRequires:  miniupnpc
BuildRequires:  libidn2-devel
BuildRequires:  zlib-devel
BuildRequires:  libpq-devel
BuildRequires:  jansson-devel
BuildRequires:  gnutls-devel
BuildRequires:  sqlite-devel
BuildRequires:  libmicrohttpd-devel
BuildRequires:  opus-devel
BuildRequires:  pulseaudio-libs
BuildRequires:  libogg-devel
BuildRequires:  sqlite-devel
BuildRequires:  zbar-devel
BuildRequires:  gnutls-dane
BuildRequires:  glibc
BuildRequires:  pkgconf
BuildRequires:  libgsf
BuildRequires:  pkgconfig
#Conversation requires gstreamer-app-1.0 and gstreamer-audio-1.0
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  libextractor-devel
BuildRequires:	python3
BuildRequires:	libcurl-devel
BuildRequires:	dbus
BuildRequires:  libsodium-devel
BuildRequires:  mariadb-devel
Requires:	libextractor
Requires: openssl
Requires: nss-util
Requires: gnutls
Requires:	curl
Requires:	net-tools
Requires:	iptables
Requires:	miniupnpc
Requires:	dbus
Requires:	authselect

# Build with the following syntax:
# rpmbuild --target noarch -bs gnunet.spec

%description
GNUnet is peer-to-peer framework providing a network abstractions and
applications focusing on security and privacy.  So far, we have
created applications for anonymous file-sharing, decentralized naming
and identity management, decentralized and confidential telephony and
tunneling IP traffic over GNUnet.  GNUnet is currently developed by a
worldwide group of independent free software developers.  GNUnet is a
GNU package (http://www.gnu.org/).

This is an ALPHA release.  There are known and significant bugs as
well as many missing features in this release.

GNUnet is free software released under the GNU Affero General Public
License (v3 or later). For details see the COPYING file in this
directory.  If you fork this software, you MUST adjust GNUNET_AGPL_URL
in src/include/gnunet_util_lib.h to point to the source code of your
fork!

Additional documentation about GNUnet can be found at
https://gnunet.org/ and in the 'doc/' folder.
Online documentation is provided at
'https://docs.gnunet.org' and 'https://tutorial.gnunet.org'.

# The postgresql plugins
%package postgresql-plugins
Requires: libpq
Requires: gnunet
Recommends: postgresql-server
Summary: The GNUnet PostgreSQL plugins.
%description postgresql-plugins
The GNUnet PostgreSQL plugins for the datacache, datastore, namecache
and namestore components.

# The postgresql plugins
%package mysql-plugins
Requires: gnunet
Recommends: mariadb-server
Summary: The GNUnet MySQL/MariaDB plugins.
%description mysql-plugins
The GNUnet MySQL/MariaDB plugins for the datacache, datastore, namecache
and namestore components.

# The conversation functionality
%package conversation
Requires: gnunet
Summary: The GNUnet CONVERSATION VoP2P component.
%description conversation
The GNUnet CONVERSATION component. Allows you to make Voice-over-Peer-to-Peer
audio calls.

%prep
echo "%SHA512SUM0 %SOURCE0" | sha512sum -c -

%setup

%build
%configure
%{make_build}

%pre
getent group %{name}dns >/dev/null || /usr/sbin/groupadd -r %{name}
getent group %{name}dns >/dev/null || /usr/sbin/groupadd -r %{name}dns
getent passwd %{name} >/dev/null || useradd -r -g %{name} -G %{name}dns -m -d %{gnunethome} %{gnunetuser} -c "GNUnet system account"
exit 0

%install
make install DESTDIR=%{buildroot}

%check
#make check

%post
mkdir -p /%{_sysconfdir}/%{name}
touch /%{_sysconfdir}/%{name}/gnunet.conf
mkdir -p ~/.config
touch ~/.config/gnunet.conf
cp %{_libdir}/%{name}/nss/libnss_gns.so.2 %{_libdir}/%{name}/
cp %{_libdir}/%{name}/nss/libnss_gns4.so.2 %{_libdir}/%{name}/
cp %{_libdir}/%{name}/nss/libnss_gns6.so.2 %{_libdir}/%{name}/
authselect select -f sssd
touch /%{_sysconfdir}/authselect/user-nsswitch.conf
awk -i inplace '/hosts:      files/ && !x {print "hosts:      files gns [NOTFOUND=return] dns mdns4_minimal mdns4"; x=1} 1' /%{_sysconfdir}/authselect/user-nsswitch.conf
authselect apply-changes

%clean

%postun

%files
%attr(0700, %{gnunetuser}, %{gnunetuser})
%license %{_datadir}/%{name}/LICENSE
%doc %{_defaultdocdir}/%{name}/COPYING
%doc doc AUTHORS ChangeLog NEWS README
%{_bindir}/gnunet-ats
%{_bindir}/gnunet-arm
%{_bindir}/gnunet-auto-share
%{_bindir}/gnunet-bcd
%{_bindir}/gnunet-bugreport
%{_bindir}/gnunet-cadet
%{_bindir}/gnunet-config
%{_bindir}/gnunet-consensus-profiler
%{_bindir}/gnunet-core
%{_bindir}/gnunet-datastore
%{_bindir}/gnunet-dht-get
%{_bindir}/gnunet-dht-monitor
%{_bindir}/gnunet-dht-put
%{_bindir}/gnunet-directory
%{_bindir}/gnunet-download
%{_bindir}/gnunet-ecc
%{_bindir}/gnunet-fs
%{_bindir}/gnunet-gns
%{_bindir}/gnunet-gns-proxy-setup-ca
%{_bindir}/gnunet-identity
%{_bindir}/gnunet-namecache
%{_bindir}/gnunet-namestore
%{_bindir}/gnunet-nat
%{_bindir}/gnunet-nat-auto
%{_bindir}/gnunet-nat-server
%{_bindir}/gnunet-nse
%{_bindir}/gnunet-peerinfo
%{_bindir}/gnunet-peerstore
%{_bindir}/gnunet-publish
%{_bindir}/gnunet-qr
%{_bindir}/gnunet-reclaim
%{_bindir}/gnunet-resolver
%{_bindir}/gnunet-revocation
%{_bindir}/gnunet-scalarproduct
%{_bindir}/gnunet-scrypt
%{_bindir}/gnunet-search
%{_bindir}/gnunet-secretsharing-profiler
%{_bindir}/gnunet-set-profiler
%{_bindir}/gnunet-statistics
%{_bindir}/gnunet-testbed-profiler
%{_bindir}/gnunet-testing
%{_bindir}/gnunet-transport
%{_bindir}/gnunet-transport-certificate-creation
%{_bindir}/gnunet-unindex
%{_bindir}/gnunet-uri
%{_bindir}/gnunet-vpn
%{_bindir}/gnunet-zoneimport
%{_bindir}/gnunet-crypto-tvg
%{_bindir}/gnunet-gnsrecord-tvg
%{_bindir}/gnunet-revocation-tvg
%{_bindir}/gnunet-seti-profiler
%{_bindir}/gnunet-setu-profiler
%dir %{_oldincludedir}/%{name}
%{_oldincludedir}/%{name}/compat.h
%{_oldincludedir}/%{name}/gettext.h
%{_oldincludedir}/%{name}/gnunet_abd_service.h
%{_oldincludedir}/%{name}/gnunet_abe_lib.h
%{_oldincludedir}/%{name}/gnunet_applications.h
%{_oldincludedir}/%{name}/gnunet_arm_service.h
%{_oldincludedir}/%{name}/gnunet_ats_application_service.h
%{_oldincludedir}/%{name}/gnunet_ats_plugin.h
%{_oldincludedir}/%{name}/gnunet_ats_service.h
%{_oldincludedir}/%{name}/gnunet_ats_transport_service.h
%{_oldincludedir}/%{name}/gnunet_bandwidth_lib.h
%{_oldincludedir}/%{name}/gnunet_bio_lib.h
%{_oldincludedir}/%{name}/gnunet_block_group_lib.h
%{_oldincludedir}/%{name}/gnunet_block_lib.h
%{_oldincludedir}/%{name}/gnunet_block_plugin.h
%{_oldincludedir}/%{name}/gnunet_buffer_lib.h
%{_oldincludedir}/%{name}/gnunet_cadet_service.h
%{_oldincludedir}/%{name}/gnunet_client_lib.h
%{_oldincludedir}/%{name}/gnunet_common.h
%{_oldincludedir}/%{name}/gnunet_config.h
%{_oldincludedir}/%{name}/gnunet_configuration_lib.h
%{_oldincludedir}/%{name}/gnunet_consensus_service.h
%{_oldincludedir}/%{name}/gnunet_constants.h
%{_oldincludedir}/%{name}/gnunet_container_lib.h
%{_oldincludedir}/%{name}/gnunet_conversation_service.h
%{_oldincludedir}/%{name}/gnunet_core_service.h
%{_oldincludedir}/%{name}/gnunet_crypto_lib.h
%{_oldincludedir}/%{name}/gnunet_curl_lib.h
%{_oldincludedir}/%{name}/gnunet_datacache_lib.h
%{_oldincludedir}/%{name}/gnunet_datacache_plugin.h
%{_oldincludedir}/%{name}/gnunet_datastore_plugin.h
%{_oldincludedir}/%{name}/gnunet_datastore_service.h
%{_oldincludedir}/%{name}/gnunet_db_lib.h
%{_oldincludedir}/%{name}/gnunet_dht_service.h
%{_oldincludedir}/%{name}/gnunet_disk_lib.h
%{_oldincludedir}/%{name}/gnunet_dns_service.h
%{_oldincludedir}/%{name}/gnunet_dnsparser_lib.h
%{_oldincludedir}/%{name}/gnunet_dnsstub_lib.h
%{_oldincludedir}/%{name}/gnunet_fragmentation_lib.h
%{_oldincludedir}/%{name}/gnunet_friends_lib.h
%{_oldincludedir}/%{name}/gnunet_fs_service.h
%{_oldincludedir}/%{name}/gnunet_getopt_lib.h
%{_oldincludedir}/%{name}/gnunet_gns_service.h
%{_oldincludedir}/%{name}/gnunet_gnsrecord_lib.h
%{_oldincludedir}/%{name}/gnunet_gnsrecord_plugin.h
%{_oldincludedir}/%{name}/gnunet_gnsrecord_json_lib.h
%{_oldincludedir}/%{name}/gnunet_hello_lib.h
%{_oldincludedir}/%{name}/gnunet_helper_lib.h
%{_oldincludedir}/%{name}/gnunet_identity_service.h
%{_oldincludedir}/%{name}/gnunet_json_lib.h
%{_oldincludedir}/%{name}/gnunet_load_lib.h
%{_oldincludedir}/%{name}/gnunet_messenger_service.h
%{_oldincludedir}/%{name}/gnunet_mhd_compat.h
%{_oldincludedir}/%{name}/gnunet_microphone_lib.h
%{_oldincludedir}/%{name}/gnunet_mq_lib.h
%{_oldincludedir}/%{name}/gnunet_mst_lib.h
%{_oldincludedir}/%{name}/gnunet_my_lib.h
%{_oldincludedir}/%{name}/gnunet_mysql_lib.h
%{_oldincludedir}/%{name}/gnunet_namecache_plugin.h
%{_oldincludedir}/%{name}/gnunet_namecache_service.h
%{_oldincludedir}/%{name}/gnunet_namestore_plugin.h
%{_oldincludedir}/%{name}/gnunet_namestore_service.h
%{_oldincludedir}/%{name}/gnunet_nat_auto_service.h
%{_oldincludedir}/%{name}/gnunet_nat_service.h
%{_oldincludedir}/%{name}/gnunet_nc_lib.h
%{_oldincludedir}/%{name}/gnunet_network_lib.h
%{_oldincludedir}/%{name}/gnunet_nse_service.h
%{_oldincludedir}/%{name}/gnunet_nt_lib.h
%{_oldincludedir}/%{name}/gnunet_op_lib.h
%{_oldincludedir}/%{name}/gnunet_os_lib.h
%{_oldincludedir}/%{name}/gnunet_peer_lib.h
%{_oldincludedir}/%{name}/gnunet_peerinfo_service.h
%{_oldincludedir}/%{name}/gnunet_peerstore_plugin.h
%{_oldincludedir}/%{name}/gnunet_peerstore_service.h
%{_oldincludedir}/%{name}/gnunet_plugin_lib.h
%{_oldincludedir}/%{name}/gnunet_pq_lib.h
%{_oldincludedir}/%{name}/gnunet_program_lib.h
%{_oldincludedir}/%{name}/gnunet_protocols.h
%{_oldincludedir}/%{name}/gnunet_reclaim_lib.h
%{_oldincludedir}/%{name}/gnunet_reclaim_plugin.h
%{_oldincludedir}/%{name}/gnunet_reclaim_service.h
%{_oldincludedir}/%{name}/gnunet_regex_service.h
%{_oldincludedir}/%{name}/gnunet_resolver_service.h
%{_oldincludedir}/%{name}/gnunet_rest_lib.h
%{_oldincludedir}/%{name}/gnunet_rest_plugin.h
%{_oldincludedir}/%{name}/gnunet_revocation_service.h
%{_oldincludedir}/%{name}/gnunet_rps_service.h
%{_oldincludedir}/%{name}/gnunet_scalarproduct_service.h
%{_oldincludedir}/%{name}/gnunet_scheduler_lib.h
%{_oldincludedir}/%{name}/gnunet_secretsharing_service.h
%{_oldincludedir}/%{name}/gnunet_service_lib.h
%{_oldincludedir}/%{name}/gnunet_set_service.h
%{_oldincludedir}/%{name}/gnunet_seti_service.h
%{_oldincludedir}/%{name}/gnunet_setu_service.h
%{_oldincludedir}/%{name}/gnunet_signal_lib.h
%{_oldincludedir}/%{name}/gnunet_signatures.h
%{_oldincludedir}/%{name}/gnunet_socks.h
%{_oldincludedir}/%{name}/gnunet_speaker_lib.h
%{_oldincludedir}/%{name}/gnunet_sq_lib.h
%{_oldincludedir}/%{name}/gnunet_statistics_service.h
%{_oldincludedir}/%{name}/gnunet_strings_lib.h
%{_oldincludedir}/%{name}/gnunet_testbed_logger_service.h
%{_oldincludedir}/%{name}/gnunet_testbed_service.h
%{_oldincludedir}/%{name}/gnunet_testing_lib.h
%{_oldincludedir}/%{name}/gnunet_time_lib.h
%{_oldincludedir}/%{name}/gnunet_transport_application_service.h
%{_oldincludedir}/%{name}/gnunet_transport_communication_service.h
%{_oldincludedir}/%{name}/gnunet_transport_core_service.h
%{_oldincludedir}/%{name}/gnunet_transport_hello_service.h
%{_oldincludedir}/%{name}/gnunet_transport_manipulation_service.h
%{_oldincludedir}/%{name}/gnunet_transport_monitor_service.h
%{_oldincludedir}/%{name}/gnunet_transport_plugin.h
%{_oldincludedir}/%{name}/gnunet_transport_service.h
%{_oldincludedir}/%{name}/gnunet_tun_lib.h
%{_oldincludedir}/%{name}/gnunet_uri_lib.h
%{_oldincludedir}/%{name}/gnunet_util_lib.h
%{_oldincludedir}/%{name}/gnunet_vpn_service.h
%{_oldincludedir}/%{name}/platform.h
/%{_libdir}/pkgconfig/gnunetarm.pc
/%{_libdir}/pkgconfig/gnunetats.pc
/%{_libdir}/pkgconfig/gnunetblock.pc
/%{_libdir}/pkgconfig/gnunetcadet.pc
/%{_libdir}/pkgconfig/gnunetconsensus.pc
/%{_libdir}/pkgconfig/gnunetconversation.pc
/%{_libdir}/pkgconfig/gnunetcore.pc
/%{_libdir}/pkgconfig/gnunetdatacache.pc
/%{_libdir}/pkgconfig/gnunetdatastore.pc
/%{_libdir}/pkgconfig/gnunetdht.pc
/%{_libdir}/pkgconfig/gnunetdns.pc
/%{_libdir}/pkgconfig/gnunetenv.pc
/%{_libdir}/pkgconfig/gnunetfragmentation.pc
/%{_libdir}/pkgconfig/gnunetfs.pc
/%{_libdir}/pkgconfig/gnunetgns.pc
/%{_libdir}/pkgconfig/gnunethello.pc
/%{_libdir}/pkgconfig/gnunetidentity.pc
/%{_libdir}/pkgconfig/gnunetmicrophone.pc
/%{_libdir}/pkgconfig/gnunetmysql.pc
/%{_libdir}/pkgconfig/gnunetnamestore.pc
/%{_libdir}/pkgconfig/gnunetnat.pc
/%{_libdir}/pkgconfig/gnunetnse.pc
/%{_libdir}/pkgconfig/gnunetpeerinfo.pc
/%{_libdir}/pkgconfig/gnunetregex.pc
/%{_libdir}/pkgconfig/gnunetrevocation.pc
/%{_libdir}/pkgconfig/gnunetrps.pc
/%{_libdir}/pkgconfig/gnunetscalarproduct.pc
/%{_libdir}/pkgconfig/gnunetset.pc
/%{_libdir}/pkgconfig/gnunetspeaker.pc
/%{_libdir}/pkgconfig/gnunetstatistics.pc
/%{_libdir}/pkgconfig/gnunettestbed.pc
/%{_libdir}/pkgconfig/gnunettesting.pc
/%{_libdir}/pkgconfig/gnunettransport.pc
/%{_libdir}/pkgconfig/gnunetutil.pc
/%{_libdir}/pkgconfig/gnunetvpn.pc
%dir %{_libdir}/%{name}/libexec
/%{_libdir}/%{name}/libexec/gnunet-communicator-tcp
/%{_libdir}/%{name}/libexec/gnunet-communicator-udp
/%{_libdir}/%{name}/libexec/gnunet-communicator-unix
/%{_libdir}/%{name}/libexec/gnunet-daemon-exit
/%{_libdir}/%{name}/libexec/gnunet-daemon-hostlist
/%{_libdir}/%{name}/libexec/gnunet-daemon-latency-logger
/%{_libdir}/%{name}/libexec/gnunet-daemon-pt
/%{_libdir}/%{name}/libexec/gnunet-daemon-regexprofiler
/%{_libdir}/%{name}/libexec/gnunet-daemon-testbed-blacklist
/%{_libdir}/%{name}/libexec/gnunet-daemon-testbed-underlay
/%{_libdir}/%{name}/libexec/gnunet-daemon-topology
/%{_libdir}/%{name}/libexec/gnunet-dns2gns
/%{_libdir}/%{name}/libexec/gnunet-helper-dns
/%{_libdir}/%{name}/libexec/gnunet-helper-exit
/%{_libdir}/%{name}/libexec/gnunet-helper-fs-publish
/%{_libdir}/%{name}/libexec/gnunet-helper-nat-client
/%{_libdir}/%{name}/libexec/gnunet-helper-nat-server
/%{_libdir}/%{name}/libexec/gnunet-helper-testbed
/%{_libdir}/%{name}/libexec/gnunet-helper-vpn
/%{_libdir}/%{name}/libexec/gnunet-gns-proxy
/%{_libdir}/%{name}/libexec/gnunet-namestore-fcfsd
/%{_libdir}/%{name}/libexec/gnunet-rest-server
/%{_libdir}/%{name}/libexec/gnunet-service-arm
/%{_libdir}/%{name}/libexec/gnunet-service-ats
/%{_libdir}/%{name}/libexec/gnunet-service-cadet
/%{_libdir}/%{name}/libexec/gnunet-service-consensus
/%{_libdir}/%{name}/libexec/gnunet-service-core
/%{_libdir}/%{name}/libexec/gnunet-service-datastore
/%{_libdir}/%{name}/libexec/gnunet-service-dht
/%{_libdir}/%{name}/libexec/gnunet-service-dns
/%{_libdir}/%{name}/libexec/gnunet-service-evil-consensus
/%{_libdir}/%{name}/libexec/gnunet-service-fs
/%{_libdir}/%{name}/libexec/gnunet-service-gns
/%{_libdir}/%{name}/libexec/gnunet-service-identity
/%{_libdir}/%{name}/libexec/gnunet-service-namecache
/%{_libdir}/%{name}/libexec/gnunet-service-namestore
/%{_libdir}/%{name}/libexec/gnunet-service-nat
/%{_libdir}/%{name}/libexec/gnunet-service-nat-auto
/%{_libdir}/%{name}/libexec/gnunet-service-nse
/%{_libdir}/%{name}/libexec/gnunet-service-peerinfo
/%{_libdir}/%{name}/libexec/gnunet-service-peerstore
/%{_libdir}/%{name}/libexec/gnunet-service-reclaim
/%{_libdir}/%{name}/libexec/gnunet-service-regex
/%{_libdir}/%{name}/libexec/gnunet-service-resolver
/%{_libdir}/%{name}/libexec/gnunet-service-revocation
/%{_libdir}/%{name}/libexec/gnunet-service-scalarproduct-alice
/%{_libdir}/%{name}/libexec/gnunet-service-scalarproduct-bob
/%{_libdir}/%{name}/libexec/gnunet-service-scalarproduct-ecc-alice
/%{_libdir}/%{name}/libexec/gnunet-service-scalarproduct-ecc-bob
/%{_libdir}/%{name}/libexec/gnunet-service-secretsharing
/%{_libdir}/%{name}/libexec/gnunet-service-set
/%{_libdir}/%{name}/libexec/gnunet-service-seti
/%{_libdir}/%{name}/libexec/gnunet-service-setu
/%{_libdir}/%{name}/libexec/gnunet-service-statistics
/%{_libdir}/%{name}/libexec/gnunet-service-testbed
/%{_libdir}/%{name}/libexec/gnunet-service-testbed-logger
/%{_libdir}/%{name}/libexec/gnunet-service-transport
/%{_libdir}/%{name}/libexec/gnunet-service-vpn
/%{_libdir}/%{name}/libexec/gnunet-service-zonemaster
/%{_libdir}/%{name}/libexec/gnunet-service-zonemaster-monitor
/%{_libdir}/%{name}/libexec/gnunet-timeout
%dir %{_libdir}/%{name}
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_ats_proportional.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_ats_proportional.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_consensus.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_consensus.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_dht.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_dht.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_dns.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_dns.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_fs.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_fs.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_gns.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_gns.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_regex.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_regex.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_revocation.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_revocation.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_set_test.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_set_test.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_seti_test.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_seti_test.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_setu_test.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_setu_test.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_test.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_test.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_heap.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_heap.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_sqlite.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_sqlite.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_heap.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_heap.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_sqlite.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_sqlite.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_dns.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_dns.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_gns.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_gns.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_reclaim.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_reclaim.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namecache_sqlite.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namecache_sqlite.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namestore_flat.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namestore_flat.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namestore_sqlite.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namestore_sqlite.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_peerstore_sqlite.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_peerstore_sqlite.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_reclaim_attribute_basic.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_reclaim_attribute_basic.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_reclaim_credential_jwt.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_reclaim_credential_jwt.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_config.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_config.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_copying.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_copying.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_gns.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_gns.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_identity.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_identity.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_namestore.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_namestore.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_openid_connect.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_openid_connect.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_peerinfo.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_peerinfo.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_reclaim.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_reclaim.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_test.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_test.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_http_server.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_http_server.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_https_server.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_https_server.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_http_client.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_http_client.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_https_client.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_https_client.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_tcp.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_tcp.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_unix.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_unix.so
%dir %{_libdir}/%{name}/nss
%{_libdir}/%{name}/nss/libnss_gns.la
%{_libdir}/%{name}/nss/libnss_gns.so.2
%{_libdir}/%{name}/nss/libnss_gns4.la
%{_libdir}/%{name}/nss/libnss_gns4.so.2
%{_libdir}/%{name}/nss/libnss_gns6.la
%{_libdir}/%{name}/nss/libnss_gns6.so.2
%{_libdir}/libgnunetarm.la
%{_libdir}/libgnunetarm.so
%{_libdir}/libgnunetarm.so.2
%{_libdir}/libgnunetarm.so.2.0.0
%{_libdir}/libgnunetats.la
%{_libdir}/libgnunetats.so
%{_libdir}/libgnunetats.so.4
%{_libdir}/libgnunetats.so.4.0.0
%{_libdir}/libgnunetatstesting.la
%{_libdir}/libgnunetatstesting.so
%{_libdir}/libgnunetatstesting.so.0
%{_libdir}/libgnunetatstesting.so.0.0.0
%{_libdir}/libgnunetblock.la
%{_libdir}/libgnunetblock.so
%{_libdir}/libgnunetblock.so.0
%{_libdir}/libgnunetblock.so.0.0.0
%{_libdir}/libgnunetblockgroup.la
%{_libdir}/libgnunetblockgroup.so
%{_libdir}/libgnunetblockgroup.so.0
%{_libdir}/libgnunetblockgroup.so.0.0.0
%{_libdir}/libgnunetcadet.la
%{_libdir}/libgnunetcadet.so
%{_libdir}/libgnunetcadet.so.7
%{_libdir}/libgnunetcadet.so.7.0.0
%{_libdir}/libgnunetconsensus.la
%{_libdir}/libgnunetconsensus.so
%{_libdir}/libgnunetconsensus.so.0
%{_libdir}/libgnunetconsensus.so.0.0.0
%{_libdir}/libgnunetcore.la
%{_libdir}/libgnunetcore.so
%{_libdir}/libgnunetcore.so.0
%{_libdir}/libgnunetcore.so.0.0.1
%{_libdir}/libgnunetcurl.la
%{_libdir}/libgnunetcurl.so
%{_libdir}/libgnunetcurl.so.0
%{_libdir}/libgnunetcurl.so.0.0.0
%{_libdir}/libgnunetdatacache.la
%{_libdir}/libgnunetdatacache.so
%{_libdir}/libgnunetdatacache.so.0
%{_libdir}/libgnunetdatacache.so.0.0.1
%{_libdir}/libgnunetdatastore.la
%{_libdir}/libgnunetdatastore.so
%{_libdir}/libgnunetdatastore.so.1
%{_libdir}/libgnunetdatastore.so.1.0.0
%{_libdir}/libgnunetdht.la
%{_libdir}/libgnunetdht.so
%{_libdir}/libgnunetdht.so.3
%{_libdir}/libgnunetdht.so.3.0.0
%{_libdir}/libgnunetdns.la
%{_libdir}/libgnunetdns.so
%{_libdir}/libgnunetdns.so.0
%{_libdir}/libgnunetdns.so.0.0.0
%{_libdir}/libgnunetfragmentation.la
%{_libdir}/libgnunetfragmentation.so
%{_libdir}/libgnunetfragmentation.so.2
%{_libdir}/libgnunetfragmentation.so.2.0.0
%{_libdir}/libgnunetfriends.la
%{_libdir}/libgnunetfriends.so
%{_libdir}/libgnunetfriends.so.0
%{_libdir}/libgnunetfriends.so.0.0.0
%{_libdir}/libgnunetfs.la
%{_libdir}/libgnunetfs.so
%{_libdir}/libgnunetfs.so.2
%{_libdir}/libgnunetfs.so.2.1.1
%{_libdir}/libgnunetgns.la
%{_libdir}/libgnunetgns.so
%{_libdir}/libgnunetgns.so.0
%{_libdir}/libgnunetgns.so.0.0.0
%{_libdir}/libgnunetgnsrecord.la
%{_libdir}/libgnunetgnsrecord.so
%{_libdir}/libgnunetgnsrecord.so.0
%{_libdir}/libgnunetgnsrecord.so.0.0.0
%{_libdir}/libgnunetgnsrecordjson.la
%{_libdir}/libgnunetgnsrecordjson.so
%{_libdir}/libgnunetgnsrecordjson.so.0
%{_libdir}/libgnunetgnsrecordjson.so.0.0.0
%{_libdir}/libgnunethello.la
%{_libdir}/libgnunethello.so
%{_libdir}/libgnunethello.so.0
%{_libdir}/libgnunethello.so.0.1.0
%{_libdir}/libgnunetidentity.la
%{_libdir}/libgnunetidentity.so
%{_libdir}/libgnunetidentity.so.1
%{_libdir}/libgnunetidentity.so.1.0.0
%{_libdir}/libgnunetjson.la
%{_libdir}/libgnunetjson.so
%{_libdir}/libgnunetjson.so.0
%{_libdir}/libgnunetjson.so.0.0.0
%{_libdir}/libgnunetnamecache.la
%{_libdir}/libgnunetnamecache.so
%{_libdir}/libgnunetnamecache.so.0
%{_libdir}/libgnunetnamecache.so.0.0.0
%{_libdir}/libgnunetnamestore.la
%{_libdir}/libgnunetnamestore.so
%{_libdir}/libgnunetnamestore.so.0
%{_libdir}/libgnunetnamestore.so.0.0.1
%{_libdir}/libgnunetnatauto.la
%{_libdir}/libgnunetnatauto.so
%{_libdir}/libgnunetnatauto.so.0
%{_libdir}/libgnunetnatauto.so.0.0.0
%{_libdir}/libgnunetnatnew.la
%{_libdir}/libgnunetnatnew.so
%{_libdir}/libgnunetnatnew.so.2
%{_libdir}/libgnunetnatnew.so.2.0.0
%{_libdir}/libgnunetnse.la
%{_libdir}/libgnunetnse.so
%{_libdir}/libgnunetnse.so.0
%{_libdir}/libgnunetnse.so.0.0.0
%{_libdir}/libgnunetnt.la
%{_libdir}/libgnunetnt.so
%{_libdir}/libgnunetnt.so.0
%{_libdir}/libgnunetnt.so.0.0.0
%{_libdir}/libgnunetpeerinfo.la
%{_libdir}/libgnunetpeerinfo.so
%{_libdir}/libgnunetpeerinfo.so.0
%{_libdir}/libgnunetpeerinfo.so.0.0.0
%{_libdir}/libgnunetpeerstore.la
%{_libdir}/libgnunetpeerstore.so
%{_libdir}/libgnunetpeerstore.so.0
%{_libdir}/libgnunetpeerstore.so.0.0.0
%{_libdir}/libgnunetreclaim.la
%{_libdir}/libgnunetreclaim.so
%{_libdir}/libgnunetreclaim.so.0
%{_libdir}/libgnunetreclaim.so.0.0.0
%{_libdir}/libgnunetregex.la
%{_libdir}/libgnunetregex.so
%{_libdir}/libgnunetregex.so.3
%{_libdir}/libgnunetregex.so.3.0.1
%{_libdir}/libgnunetregexblock.la
%{_libdir}/libgnunetregexblock.so
%{_libdir}/libgnunetregexblock.so.1
%{_libdir}/libgnunetregexblock.so.1.0.0
%{_libdir}/libgnunetrest.la
%{_libdir}/libgnunetrest.so
%{_libdir}/libgnunetrest.so.0
%{_libdir}/libgnunetrest.so.0.0.0
%{_libdir}/libgnunetrevocation.la
%{_libdir}/libgnunetrevocation.so
%{_libdir}/libgnunetrevocation.so.0
%{_libdir}/libgnunetrevocation.so.0.0.0
%{_libdir}/libgnunetscalarproduct.la
%{_libdir}/libgnunetscalarproduct.so
%{_libdir}/libgnunetscalarproduct.so.0
%{_libdir}/libgnunetscalarproduct.so.0.0.0
%{_libdir}/libgnunetsecretsharing.la
%{_libdir}/libgnunetsecretsharing.so
%{_libdir}/libgnunetsecretsharing.so.0
%{_libdir}/libgnunetsecretsharing.so.0.0.0
%{_libdir}/libgnunetset.la
%{_libdir}/libgnunetset.so
%{_libdir}/libgnunetset.so.0
%{_libdir}/libgnunetset.so.0.0.0
%{_libdir}/libgnunetseti.la
%{_libdir}/libgnunetseti.so
%{_libdir}/libgnunetseti.so.0
%{_libdir}/libgnunetseti.so.0.0.0
%{_libdir}/libgnunetsetu.la
%{_libdir}/libgnunetsetu.so
%{_libdir}/libgnunetsetu.so.0
%{_libdir}/libgnunetsetu.so.0.0.0
%{_libdir}/libgnunetsq.la
%{_libdir}/libgnunetsq.so
%{_libdir}/libgnunetsq.so.0
%{_libdir}/libgnunetsq.so.0.0.0
%{_libdir}/libgnunetstatistics.la
%{_libdir}/libgnunetstatistics.so
%{_libdir}/libgnunetstatistics.so.2
%{_libdir}/libgnunetstatistics.so.2.0.0
%{_libdir}/libgnunettestbed.la
%{_libdir}/libgnunettestbed.so
%{_libdir}/libgnunettestbed.so.0
%{_libdir}/libgnunettestbed.so.0.0.0
%{_libdir}/libgnunettestbedlogger.la
%{_libdir}/libgnunettestbedlogger.so
%{_libdir}/libgnunettestbedlogger.so.0
%{_libdir}/libgnunettestbedlogger.so.0.0.0
%{_libdir}/libgnunettesting.la
%{_libdir}/libgnunettesting.so
%{_libdir}/libgnunettesting.so.1
%{_libdir}/libgnunettesting.so.1.1.0
%{_libdir}/libgnunettransport.la
%{_libdir}/libgnunettransport.so
%{_libdir}/libgnunettransport.so.2
%{_libdir}/libgnunettransport.so.2.2.0
%{_libdir}/libgnunettransportapplication.la
%{_libdir}/libgnunettransportapplication.so
%{_libdir}/libgnunettransportapplication.so.0
%{_libdir}/libgnunettransportapplication.so.0.0.0
%{_libdir}/libgnunettransportcommunicator.la
%{_libdir}/libgnunettransportcommunicator.so
%{_libdir}/libgnunettransportcommunicator.so.0
%{_libdir}/libgnunettransportcommunicator.so.0.0.0
%{_libdir}/libgnunettransportcore.la
%{_libdir}/libgnunettransportcore.so
%{_libdir}/libgnunettransportcore.so.0
%{_libdir}/libgnunettransportcore.so.0.0.0
%{_libdir}/libgnunettransportmonitor.la
%{_libdir}/libgnunettransportmonitor.so
%{_libdir}/libgnunettransportmonitor.so.0
%{_libdir}/libgnunettransportmonitor.so.0.0.0
%{_libdir}/libgnunettransporttesting.la
%{_libdir}/libgnunettransporttesting.so
%{_libdir}/libgnunettransporttesting.so.0
%{_libdir}/libgnunettransporttesting.so.0.0.0
%{_libdir}/libgnunettransporttesting2.la
%{_libdir}/libgnunettransporttesting2.so
%{_libdir}/libgnunettransporttesting2.so.0
%{_libdir}/libgnunettransporttesting2.so.0.0.0
%{_libdir}/libgnunetutil.la
%{_libdir}/libgnunetutil.so
%{_libdir}/libgnunetutil.so.13
%{_libdir}/libgnunetutil.so.13.0.2
%{_libdir}/libgnunetvpn.la
%{_libdir}/libgnunetvpn.so
%{_libdir}/libgnunetvpn.so.0
%{_libdir}/libgnunetvpn.so.0.0.0
%dir %{_datadir}/%{name}/config.d
%{_datadir}/%{name}/config.d/arm.conf
%{_datadir}/%{name}/config.d/ats.conf
%{_datadir}/%{name}/config.d/cadet.conf
%{_datadir}/%{name}/config.d/communicator-unix.conf
%{_datadir}/%{name}/config.d/consensus.conf
%{_datadir}/%{name}/config.d/core.conf
%{_datadir}/%{name}/config.d/datacache.conf
%{_datadir}/%{name}/config.d/datastore.conf
%{_datadir}/%{name}/config.d/dht.conf
%{_datadir}/%{name}/config.d/dns.conf
%{_datadir}/%{name}/config.d/exit.conf
%{_datadir}/%{name}/config.d/fs.conf
%{_datadir}/%{name}/config.d/gns.conf
%{_datadir}/%{name}/config.d/hostlist.conf
%{_datadir}/%{name}/config.d/identity.conf
%{_datadir}/%{name}/config.d/namecache.conf
%{_datadir}/%{name}/config.d/namestore.conf
%{_datadir}/%{name}/config.d/nat-auto.conf
%{_datadir}/%{name}/config.d/nat.conf
%{_datadir}/%{name}/config.d/nse.conf
%{_datadir}/%{name}/config.d/peerinfo.conf
%{_datadir}/%{name}/config.d/peerstore.conf
%{_datadir}/%{name}/config.d/pt.conf
%{_datadir}/%{name}/config.d/reclaim.conf
%{_datadir}/%{name}/config.d/regex.conf
%{_datadir}/%{name}/config.d/resolver.conf
%{_datadir}/%{name}/config.d/rest.conf
%{_datadir}/%{name}/config.d/revocation.conf
%{_datadir}/%{name}/config.d/scalarproduct.conf
%{_datadir}/%{name}/config.d/secretsharing.conf
%{_datadir}/%{name}/config.d/set.conf
%{_datadir}/%{name}/config.d/seti.conf
%{_datadir}/%{name}/config.d/setu.conf
%{_datadir}/%{name}/config.d/statistics.conf
%{_datadir}/%{name}/config.d/template.conf
%{_datadir}/%{name}/config.d/testbed-logger.conf
%{_datadir}/%{name}/config.d/testbed.conf
%{_datadir}/%{name}/config.d/testing.conf
%{_datadir}/%{name}/config.d/topology.conf
%{_datadir}/%{name}/config.d/transport.conf
%{_datadir}/%{name}/config.d/util.conf
%{_datadir}/%{name}/config.d/vpn.conf
%{_datadir}/%{name}/config.d/zonemaster.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/def.tex
%{_datadir}/%{name}/gns-bcd.html
%{_datadir}/%{name}/gns-bcd.tex
%{_datadir}/%{name}/gns-form-fields.xml
%{_datadir}/%{name}/gns-form.xslt
%{_datadir}/%{name}/gnunet-gns-proxy-ca.template
%{_datadir}/%{name}/gnunet-logo-color.png
%{_datadir}/%{name}/gnunet-logo.pdf
%{_datadir}/%{name}/existence.sh
%{_datadir}/%{name}/existence_python.sh
%{_datadir}/%{name}/gnunet-logo.png
%{_datadir}/%{name}/msg.sh
%{_datadir}/%{name}/progname.sh
%{_datadir}/%{name}/python.sh
%{_datadir}/%{name}/version_gnunet.sh
%{_datadir}/%{name}/hellos/Y924NSHMMZ1N1SQCE5TXF93ED6S6JY311K0QT86G9WJC68F6XVZ0
%{_datadir}/%{name}/services/openrc/gnunet.initd
%{_datadir}/%{name}/services/systemd/gnunet.service
%{_datadir}/%{name}/testing_hostkeys.ecc
%{_datadir}/locale/de/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/es/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/fr/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/it/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/sr/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/sv/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/vi/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/gnunet.mo
%{_mandir}/man1/gnunet-arm.1.gz
%{_mandir}/man1/gnunet-ats.1.gz
%{_mandir}/man1/gnunet-auto-share.1.gz
%{_mandir}/man1/gnunet-bcd.1.gz
%{_mandir}/man1/gnunet-cadet.1.gz
%{_mandir}/man1/gnunet-config.1.gz
%{_mandir}/man1/gnunet-conversation-test.1.gz
%{_mandir}/man1/gnunet-conversation.1.gz
%{_mandir}/man1/gnunet-core.1.gz
%{_mandir}/man1/gnunet-datastore.1.gz
%{_mandir}/man1/gnunet-directory.1.gz
%{_mandir}/man1/gnunet-dns2gns.1.gz
%{_mandir}/man1/gnunet-download.1.gz
%{_mandir}/man1/gnunet-ecc.1.gz
%{_mandir}/man1/gnunet-fs.1.gz
%{_mandir}/man1/gnunet-gns-proxy-setup-ca.1.gz
%{_mandir}/man1/gnunet-gns-proxy.1.gz
%{_mandir}/man1/gnunet-gns.1.gz
%{_mandir}/man1/gnunet-identity.1.gz
%{_mandir}/man1/gnunet-namecache.1.gz
%{_mandir}/man1/gnunet-namestore-fcfsd.1.gz
%{_mandir}/man1/gnunet-namestore.1.gz
%{_mandir}/man1/gnunet-nat-auto.1.gz
%{_mandir}/man1/gnunet-nat-server.1.gz
%{_mandir}/man1/gnunet-nat.1.gz
%{_mandir}/man1/gnunet-nse.1.gz
%{_mandir}/man1/gnunet-peerinfo.1.gz
%{_mandir}/man1/gnunet-publish.1.gz
%{_mandir}/man1/gnunet-qr.1.gz
%{_mandir}/man1/gnunet-reclaim.1.gz
%{_mandir}/man1/gnunet-resolver.1.gz
%{_mandir}/man1/gnunet-revocation.1.gz
%{_mandir}/man1/gnunet-scalarproduct.1.gz
%{_mandir}/man1/gnunet-scrypt.1.gz
%{_mandir}/man1/gnunet-search.1.gz
%{_mandir}/man1/gnunet-statistics.1.gz
%{_mandir}/man1/gnunet-testbed-profiler.1.gz
%{_mandir}/man1/gnunet-testing-run-service.1.gz
%{_mandir}/man1/gnunet-timeout.1.gz
%{_mandir}/man1/gnunet-transport-certificate-creation.1.gz
%{_mandir}/man1/gnunet-transport.1.gz
%{_mandir}/man1/gnunet-unindex.1.gz
%{_mandir}/man1/gnunet-uri.1.gz
%{_mandir}/man1/gnunet-vpn.1.gz
%{_mandir}/man1/gnunet-zoneimport.1.gz
%{_mandir}/man5/gnunet.conf.5.gz
%{_mandir}/man1/gnunet-bugreport.1.gz
%{_bindir}/gnunet-suidfix
%{_infodir}/dir
%{_infodir}/gnunet.info-1.gz
%{_infodir}/gnunet.info-2.gz
%{_infodir}/gnunet.info-3.gz
%{_infodir}/gnunet.info.gz
%{_infodir}/images/daemon_lego_block.png.gz
%{_infodir}/images/daemon_lego_block.svg.gz
%{_infodir}/images/gns.dot.gz
%{_infodir}/images/gns.jpg.gz
%{_infodir}/images/gnunet-0-10-peerinfo.png.gz
%{_infodir}/images/gnunet-fs-gtk-0-10-star-tab.png.gz
%{_infodir}/images/gnunet-gtk-0-10-download-area.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs-menu.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs-publish-editing.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs-publish-select.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs-publish-with-file.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs-publish-with-file_0.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs-publish.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs-published.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs-search.png.gz
%{_infodir}/images/gnunet-gtk-0-10-fs.png.gz
%{_infodir}/images/gnunet-gtk-0-10-gns-a-done.png.gz
%{_infodir}/images/gnunet-gtk-0-10-gns-a.png.gz
%{_infodir}/images/gnunet-gtk-0-10-gns.png.gz
%{_infodir}/images/gnunet-gtk-0-10-identity.png.gz
%{_infodir}/images/gnunet-gtk-0-10-search-selected.png.gz
%{_infodir}/images/gnunet-gtk-0-10-traffic.png.gz
%{_infodir}/images/gnunet-namestore-gtk-phone.png.gz
%{_infodir}/images/gnunet-namestore-gtk-vpn.png.gz
%{_infodir}/images/gnunet-setup-exit.png.gz
%{_infodir}/images/gnunet-tutorial-service.png.gz
%{_infodir}/images/gnunet-tutorial-system.png.gz
%{_infodir}/images/iceweasel-preferences.png.gz
%{_infodir}/images/iceweasel-proxy.png.gz
%{_infodir}/images/lego_stack.svg.gz
%{_infodir}/images/service_lego_block.png.gz
%{_infodir}/images/service_lego_block.svg.gz
%{_infodir}/images/service_stack.png.gz
%{_infodir}/images/structure.dot.gz

%files postgresql-plugins
%{_libdir}/libgnunetpq.la
%{_libdir}/libgnunetpq.so
%{_libdir}/libgnunetpq.so.1
%{_libdir}/libgnunetpq.so.1.0.0
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_postgres.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_postgres.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_postgres.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_postgres.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namecache_postgres.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namecache_postgres.so
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namestore_postgres.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namestore_postgres.so

%files mysql-plugins
%{_libdir}/libgnunetmy.la
%{_libdir}/libgnunetmy.so
%{_libdir}/libgnunetmy.so.0
%{_libdir}/libgnunetmy.so.0.0.0
%{_libdir}/libgnunetmysql.la
%{_libdir}/libgnunetmysql.so
%{_libdir}/libgnunetmysql.so.0
%{_libdir}/libgnunetmysql.so.0.0.0
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_mysql.la
/%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_mysql.so

%files conversation
%{_bindir}/gnunet-conversation
%{_bindir}/gnunet-conversation-test
%{_libdir}/%{name}/libexec/gnunet-helper-audio-playback
%{_libdir}/%{name}/libexec/gnunet-helper-audio-record
%{_libdir}/%{name}/libexec/gnunet-service-conversation
%{_libdir}/%{name}/libgnunet_plugin_gnsrecord_conversation.la
%{_libdir}/%{name}/libgnunet_plugin_gnsrecord_conversation.so
%{_libdir}/libgnunetconversation.la
%{_libdir}/libgnunetconversation.so
%{_libdir}/libgnunetconversation.so.0
%{_libdir}/libgnunetconversation.so.0.0.0
%{_libdir}/libgnunetmicrophone.la
%{_libdir}/libgnunetmicrophone.so
%{_libdir}/libgnunetmicrophone.so.0
%{_libdir}/libgnunetmicrophone.so.0.0.0
%{_libdir}/libgnunetspeaker.la
%{_libdir}/libgnunetspeaker.so
%{_libdir}/libgnunetspeaker.so.0
%{_libdir}/libgnunetspeaker.so.0.0.0
/%{_datadir}/%{name}/config.d/conversation.conf

%changelog
* Thu Jul 09 2020 Joseph Burchetta <joseph@seattlemesh.net> - 0.13.0
- ARMv7 packaged
- Update for Fedora 32
* Sun Dec 1 2019 Joseph Burchetta <joseph@seattlemesh.net> - 0.11.8-0-1550
- First GNUnet RPM

